    /*
     *  call-seq:
     *     searcher.get_document(doc_id) -> LazyDoc
     *     searcher[doc_id] -> LazyDoc
     *
     *  Retrieve a document from the index. See LazyDoc for more details on the
     *  document returned. Documents are referenced internally by document ids
     *  which are returned by the Searchers search methods.
     */
    static VALUE
    frt_sea_doc(VALUE self, VALUE rdoc_id)
    {
        GET_SEA();
        return frt_get_lazy_doc(sea->get_lazy_doc(sea, FIX2INT(rdoc_id)));
    }